OGRE-Next: Ogre::v1::MeshSerializerImpl_v1_2 Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::MeshSerializerImpl_v1_2 Class Reference
Core » Resources

Class for providing backwards-compatibility for loading version 1.2 of the .mesh format. More...

`#include <OgreMeshSerializerImpl.h>`

Inheritance diagram for Ogre::v1::MeshSerializerImpl_v1_2:
[legend]

## Public Member Functions
| MeshSerializerImpl_v1_2 ()
| ~MeshSerializerImpl_v1_2 () override
Public Member Functions inherited from Ogre::v1::MeshSerializerImpl_v1_3
| MeshSerializerImpl_v1_3 ()
| ~MeshSerializerImpl_v1_3 () override
Public Member Functions inherited from Ogre::v1::MeshSerializerImpl_v1_4
| MeshSerializerImpl_v1_4 ()
| ~MeshSerializerImpl_v1_4 () override
Public Member Functions inherited from Ogre::v1::MeshSerializerImpl_v1_41
| MeshSerializerImpl_v1_41 ()
| ~MeshSerializerImpl_v1_41 () override
Public Member Functions inherited from Ogre::v1::MeshSerializerImpl_v1_8
| MeshSerializerImpl_v1_8 ()
| ~MeshSerializerImpl_v1_8 () override
Public Member Functions inherited from Ogre::v1::MeshSerializerImpl_v1_10
| MeshSerializerImpl_v1_10 ()
| ~MeshSerializerImpl_v1_10 () override
Public Member Functions inherited from Ogre::v1::MeshSerializerImpl
| MeshSerializerImpl ()
virtual | ~MeshSerializerImpl ()
void | exportMesh (const Mesh *pMesh, DataStreamPtr stream, Endian endianMode=ENDIAN_NATIVE)
| Exports a mesh to the file specified.
void | importMesh (DataStreamPtr &stream, Mesh *pDest, MeshSerializerListener *listener)
| Imports Mesh and (optionally) Material data from a .mesh file DataStream.
Public Member Functions inherited from Ogre::Serializer
| Serializer ()
virtual | ~Serializer ()

## Additional Inherited Members
Public Types inherited from Ogre::Serializer
enum | Endian { ENDIAN_NATIVE , ENDIAN_BIG , ENDIAN_LITTLE }
| The endianness of written files. More...

## Detailed Description

Class for providing backwards-compatibility for loading version 1.2 of the .mesh format.

This is a LEGACY FORMAT that pre-dates version Ogre 1.0

## Constructor & Destructor Documentation

## ◆ MeshSerializerImpl_v1_2()

Ogre::v1::MeshSerializerImpl_v1_2::MeshSerializerImpl_v1_2 | ( |  | ) |

## ◆ ~MeshSerializerImpl_v1_2()

Ogre::v1::MeshSerializerImpl_v1_2::~MeshSerializerImpl_v1_2 | ( |  | ) |
| override

The documentation for this class was generated from the following file:

- OgreMeshSerializerImpl.h